package command;

import git.IssueRepo;
import issueData.Comment;

import java.io.IOException;

public class CommandComment implements Command {

    private String id;
    private String comment;

    public CommandComment(String id, String comment) {
        this.id = id;
        this.comment = comment;
    }

    @Override
    public void execute() {
        IssueRepo issueRepository = new IssueRepo();

        issueRepository.getIssues().forEach(issue -> {
            if (id.equals(issue.getOriginalHash())) {
                issue.addComment(new Comment(issueRepository.getUserAndEmail(), comment));
                try {
                    String commitMessage = "Commented on issue " + issue.getTitle();
                    issueRepository.writeIssue(issue, commitMessage);
                } catch (IOException e) {
                    e.printStackTrace();
                }
                System.out.println("Comment added");
            }
        });


    }
}
