package command;


import git.IssueRepo;
import issueData.Comment;
import issueData.Issue;

import java.io.IOException;

public class CommandCreate implements Command {

    private String title;
    private String description;


    public CommandCreate(String[] args) {
        this.title = args[0];
        this.description = args[1];
    }


    public void execute() {
        IssueRepo repo = new IssueRepo();
        Issue issue = new Issue(title, description);
        issue.setCreator(repo.getUserAndEmail());

        try {
            repo.writeIssue(issue, "Created Issue " + issue.getTitle());
        } catch (IOException e) {
            e.printStackTrace();
        }

        System.out.println("Issue created");
    }
}
