package command;

import git.IssueRepo;

public class CommandShow implements Command {

    private String id;

    public CommandShow(String id) {
        this.id = id;
    }

    @Override
    public void execute() {

        IssueRepo repository = new IssueRepo();

        repository.getIssues().forEach(issue -> {
            if (issue.getOriginalHash().equals(id)) {
                String status = issue.isopen() ? "Open" : "Closed";

                System.out.println("Issue title: " + issue.getTitle() + "\n" +
                        "Issue Description: " + issue.getDescription() + "\n" +
                        "Status: " + status + "\n" +
                        "Creator: " + issue.getCreator() + "\n" +
                        "Last edited: " + issue.getEdited() + "\n" +
                        "Creation time: " + issue.getCreationTime() + "\n" +
                        "Tags: ");

                issue.getTags().forEach(System.out::println);

                if (issue.getComments().isEmpty()) {
                    System.out.println("\nNo comments on this issue");
                } else {
                    System.out.println("\nComments:\n");
                    issue.getComments().forEach(comment -> System.out.println("Author: " + comment.getAuthor() + "\n" + comment.getMessage() + "\n"));
                }

            }
        });
    }
}
