package git;

import org.eclipse.jgit.lib.CommitBuilder;
import org.eclipse.jgit.lib.ObjectId;
import org.eclipse.jgit.lib.Repository;

import java.io.IOException;

public class ObjectInserter {

    private Repository repository;

    public ObjectInserter(Repository repository) {
        this.repository = repository;
    }

    public ObjectId insert(int type, byte[] content) throws IOException {
        org.eclipse.jgit.lib.ObjectInserter objectInserter = repository.newObjectInserter();
        ObjectId result = objectInserter.insert(type, content);
        objectInserter.flush();
        objectInserter.close();
        return result;
    }

    public ObjectId insert(CommitBuilder commit) throws IOException {
        org.eclipse.jgit.lib.ObjectInserter objectInserter = repository.newObjectInserter();
        ObjectId result = objectInserter.insert(commit);
        objectInserter.flush();
        objectInserter.close();
        return result;
    }

}
